Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class ResetImageAttributeRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.ResetImageAttributeRequest

    public class ResetImageAttributeRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ResetImageAttribute operation`.

The ResetImageAttribute operation resets an attribute of an AMI to its default value.

NOTE: The productCodes attribute cannot be reset.

See Also:
  `AmazonEC2.resetImageAttribute(ResetImageAttributeRequest)`

Constructor Summary
`ResetImageAttributeRequest()`

Method Summary
`String` | `getAttribute()` The name of the attribute being reset.
`String` | `getImageId()` The ID of the AMI whose attribute is being reset.
`void` | `setAttribute(String attribute)` The name of the attribute being reset.
`void` | `setImageId(String imageId)` The ID of the AMI whose attribute is being reset.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ResetImageAttributeRequest` | `withAttribute(String attribute)` The name of the attribute being reset.
`ResetImageAttributeRequest` | `withImageId(String imageId)` The ID of the AMI whose attribute is being reset.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResetImageAttributeRequest

    public ResetImageAttributeRequest()

Method Detail

### getImageId

    public String getImageId()

  The ID of the AMI whose attribute is being reset.

  Returns:
    The ID of the AMI whose attribute is being reset.

### setImageId

    public void setImageId(String imageId)

  The ID of the AMI whose attribute is being reset.

  Parameters:
    `imageId` - The ID of the AMI whose attribute is being reset.

### withImageId

    public ResetImageAttributeRequest withImageId(String imageId)

  The ID of the AMI whose attribute is being reset.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageId` - The ID of the AMI whose attribute is being reset.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttribute

    public String getAttribute()

  The name of the attribute being reset.

  Available attribute names: launchPermission

  Returns:
    The name of the attribute being reset.

    Available attribute names: launchPermission

### setAttribute

    public void setAttribute(String attribute)

  The name of the attribute being reset.

  Available attribute names: launchPermission

  Parameters:
    `attribute` - The name of the attribute being reset.

    Available attribute names: launchPermission

### withAttribute

    public ResetImageAttributeRequest withAttribute(String attribute)

  The name of the attribute being reset.

  Available attribute names: launchPermission

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attribute` - The name of the attribute being reset.

    Available attribute names: launchPermission

  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.